--- configure.ac	1970-01-01 01:00:00.000000000 +0100
+++ configure.ac	2011-04-10 15:54:07.000000000 +0100
@@ -0,0 +1,11 @@
+AC_PREREQ([2.59])
+AC_INIT(wcstools, 3.8.x , [http://tdc-www.harvard.edu/wcstools/])
+AM_INIT_AUTOMAKE([foreign])
+AC_CONFIG_HEADERS([config.h])
+
+AC_PROG_CC
+AC_PROG_LIBTOOL
+AC_C_CONST
+AC_CHECK_LIB(m, sin)
+AC_CONFIG_FILES([libwcs/Makefile libned/Makefile Makefile wcstools.pc])
+AC_OUTPUT
--- libned/Makefile.am	1970-01-01 01:00:00.000000000 +0100
+++ libned/Makefile.am	2011-04-10 15:53:44.000000000 +0100
@@ -0,0 +1,5 @@
+lib_LTLIBRARIES = libned.la
+noinst_HEADERS = nedc.h  ned_client.h
+libned_la_SOURCES = \
+	ned_cli.c ned_cif.c ned_err.c ned_sk.c
+EXTRA_DIST = README
--- libwcs/Makefile.am	1970-01-01 01:00:00.000000000 +0100
+++ libwcs/Makefile.am	2011-04-10 16:00:15.000000000 +0100
@@ -0,0 +1,17 @@
+lib_LTLIBRARIES = libwcstools.la
+libwcstools_la_SOURCES = \
+	imsetwcs.c imgetwcs.c matchstar.c findstar.c daoread.c wcscon.c \
+	fitswcs.c wcsinit.c wcs.c ty2read.c webread.c tmcread.c \
+	gscread.c gsc2read.c ujcread.c uacread.c ubcread.c ucacread.c \
+	sdssread.c tabread.c binread.c ctgread.c actread.c catutil.c \
+	skybotread.c imrotate.c fitsfile.c imhfile.c \
+	hget.c hput.c imio.c dateutil.c imutil.c \
+	worldpos.c tnxpos.c zpxpos.c dsspos.c platepos.c \
+	sortstar.c platefit.c iget.c fileutil.c \
+	wcslib.c lin.c cel.c proj.c sph.c wcstrig.c distort.c poly.c
+
+wcsdir = $(includedir)/wcs
+wcs_HEADERS = \
+	wcscat.h wcslib.h wcs.h lwcs.h fitshead.h fitsfile.h imio.h
+
+noinst_HEADERS = fitsfile1.h wcscat1.h
--- Makefile.am	1970-01-01 01:00:00.000000000 +0100
+++ Makefile.am	2011-04-10 15:55:47.000000000 +0100
@@ -0,0 +1,81 @@
+SUBDIRS = libwcs libned
+INCLUDES = -I$(top_srcdir)/libwcs
+
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = wcstools.pc
+
+bin_SCRIPTS = wcstools
+
+EXTRA_DIST = wcstools COPYING Readme NEWS Programs
+
+bin_PROGRAMS = \
+	cphead delwcs delhead edhead fixpix gethead i2f imcat imhead immatch \
+	imrot imsize imstar imwcs scat sethead addpix getpix setpix sky2xy \
+	keyhead skycoor subpix xy2sky wcshead conpix gettab newfits getfits \
+	imstack imextract sumpix wcsremap getcol wcsgetdate imfill imsmooth imresize \
+	fileroot filename filext char2sp sp2char wcscrlf isnum isrange isfits \
+	simpos nedpos bincat nedname
+
+# these ones don't need libwcs
+wcscrlf_SOURCES = crlf.c
+filename_SOURCES = filename.c
+filedir_SOURCES = filedir.c
+fileroot_SOURCES = fileroot.c
+filext_SOURCES = filext.c
+isrange_SOURCES = isrange.c
+
+LDADD = $(top_builddir)/libwcs/libwcstools.la
+
+bincat_SOURCES = bincat.c
+getcol_SOURCES = getcol.c
+wcsgetdate_SOURCES = getdate.c
+gethead_SOURCES = gethead.c
+getfits_SOURCES = getfits.c
+getpix_SOURCES = getpix.c
+gettab_SOURCES = gettab.c
+imcat_SOURCES = imcat.c
+imsize_SOURCES = imsize.c
+imstar_SOURCES = imstar.c
+imwcs_SOURCES = imwcs.c
+immatch_SOURCES = immatch.c
+scat_SOURCES = scat.c
+setpix_SOURCES = setpix.c
+skycoor_SOURCES = skycoor.c
+sumpix_SOURCES = sumpix.c
+xy2sky_SOURCES = xy2sky.c
+simpos_SOURCES = simpos.c
+
+addpix_SOURCES = addpix.c
+char2sp_SOURCES = char2sp.c
+conpix_SOURCES = conpix.c
+cphead_SOURCES = cphead.c
+delwcs_SOURCES = delwcs.c
+delhead_SOURCES = delhead.c
+edhead_SOURCES = edhead.c
+fixpix_SOURCES = fixpix.c
+i2f_SOURCES = i2f.c
+imfill_SOURCES = imfill.c
+imresize_SOURCES = imresize.c
+imsmooth_SOURCES = imsmooth.c
+imhead_SOURCES = imhead.c
+imrot_SOURCES = imrot.c
+imstack_SOURCES = imstack.c
+imextract_SOURCES = imextract.c
+isnum_SOURCES = isnum.c
+keyhead_SOURCES = keyhead.c
+newfits_SOURCES = newfits.c
+wcsremap_SOURCES = remap.c
+sethead_SOURCES = sethead.c
+sky2xy_SOURCES = sky2xy.c
+sp2char_SOURCES = sp2char.c
+subpix_SOURCES = subpix.c
+wcshead_SOURCES = wcshead.c
+
+nedname_SOURCES = nedname.c
+nedname_LDADD = \
+	$(top_builddir)/libned/libned.la \
+	$(top_builddir)/libwcs/libwcstools.la
+nedpos_SOURCES = nedpos.c
+nedpos_LDADD = \
+	$(top_builddir)/libned/libned.la \
+	$(top_builddir)/libwcs/libwcstools.la
--- wcstools.pc.in	1970-01-01 01:00:00.000000000 +0100
+++ wcstools.pc.in	2011-04-10 15:53:44.000000000 +0100
@@ -0,0 +1,13 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: @PACKAGE_NAME@
+Description: World Coordinate System Library and Tools
+Version: @PACKAGE_VERSION@
+URL: http://tdc-www.harvard.edu/wcstools/
+Libs: -L${libdir} -lwcstools
+Libs.private: -lm
+Cflags: -I${includedir}/wcs
+
